/***************************************************************************
                          icesndcfg.h  -  description
                             -------------------
    begin                :   13 23:04:12 EEST 2003
    copyright            : (C) 2003 by Vadim A. Khohlov
    email                : Vadim@localhost.localdomain
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ICESNDCFG_H
#define ICESNDCFG_H

// include files for QT
#include <qapp.h>
#include <qmainwindow.h>
#include <qstring.h>

class QLineEdit;
class QListBox;
class QListView;

class IcesndcfgApp : public QMainWindow
{
  Q_OBJECT
  
  public:
    /** construtor */
    IcesndcfgApp();
    /** destructor */
    ~IcesndcfgApp();
  private slots:
    /**
	 * shows an about dlg
	 */
    void slotHelpAbout();
  	/**
	 * shows small help dialog.
	 */
	void slotHelp();
  	/**
	 * Gets directory of ice sounds.
	 */
  	void slotGetIceSoundDir();
	/**
	 * Gets directory with any sounds.
	 */
	void slotGetSoundDir();
	/**
	 * Reloads files with sounds.
	 */
	void slotReloadSounds();
	/**
	 * Plays selected Ice Sound.
	 */
	void slotTestIceSound();
	/**
	 * Plays selected sound file;
	 */
	void slotTestSound();
	/**
	 * Removes sound for selected event.
	 */
	void slotUnset();
	/**
	 * Set selected ice event to selected sound.
	 */
	void slotSet();

  private:
	/**
	 * An editor of Ice sound's dir.
	 */
  	QLineEdit *edIceSoundsDir;
	/**
	 * An editor of sound's dir.
	 */
	QLineEdit *edSoundsDir;
	/**
	 * An list of sound events.
	 */
	QListView *lvIceSoundEvents;
	/**
	 * An list of files in edSoundsDir.
	 */
	QListBox *lbFiles;

	QString icewmCfgDir;
	/**
	 * Copies file fSrc to file fDst.
	 */
	void copyFile(const QString &fDst, const QString &fSrc);
};
#endif 

